
TYPO3.Flow - Bug # 36572

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Core
Created: 2012-04-25 Assigned To: Karsten Dambekalns
Updated: 2012-04-26 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Force flushing caches fails if temporary directory does not exist
Description

When force flushing caches the precompiled reflection data is removed using removeDirectoryRecursively(). But if that folder does
not exist, the operation dies with an exception:

"/…/Data/Temporary/Production/PrecompiledReflectionData/" is no directory.

Related issues:
related to TYPO3.Flow - Task # 36578: precompiledReflectionStoragePath should... Resolved 2012-04-25

Associated revisions
Revision 286a7d6d - 2012-04-25 21:55 - Christian Müller

[BUGFIX] Base PrecompiledReflectionData path on temporary path

The path to the precompiled reflection data is no longer
configured separately but instead always derived from the FLOW3
temporary path.

Change-Id: Id50d5f383dd793ac35a718d3108104a0c09836ae
Resolves: #36578
Fixes: #36572
Fixes: #36569
Releases: 1.1

History
#1 - 2012-04-25 16:57 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10758

#2 - 2012-04-25 21:55 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10766
#3 - 2012-04-26 02:38 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:286a7d6d1a20a65c106b22ac41c57481074bff07.
